Gnome の更新方法に修正が2006年10月20日 08時02分16秒

portupgrade による gnome 関連の更新方法に修正が入っていた。


diff -u -p -r1.412 -r1.413
--- ports/UPDATING	2006/10/15 05:24:53	1.412
+++ ports/UPDATING	2006/10/16 21:50:17	1.413
@@ -18,8 +18,7 @@ upgrades.
 
  Portupgrade users:
   pkgdb -Ff
-  portupgrade -rf glib-2\* cairo gnome-doc-utils gnome-mime-data \
-	gnome-audio startup-notification dbus
+  portupgrade -rf pkg-config\*
 
  Portmaster users:
   portmaster -r pkg-config\*

この修正に関するコメントを見ると、

Remove the multi-port from portupgrade -rf and go with pkg-config, the lowest dependency, that is more safer way to upgrade.
と出ている。portmaster での更新方法は、pkg-config を用いての更新だったのに、不思議には思ったが、まさか修正が入るとは。

しかし、以前のやり方で更新中で、簡単なテストを行なったが、今のところ問題はなさそうだ。最初にこの更新を見たときは焦った。

この後、更に以下のような変更が入っている。


--- ports/UPDATING	2006/10/16 21:50:17	1.413
+++ ports/UPDATING	2006/10/18 20:57:20	1.414
@@ -7,14 +7,15 @@ time you update your ports collection, b
 upgrades.
 
 20061014:
-  AFFECTS: All GNOME users
+  AFFECTS: All GTK+2 and GNOME users
   AUTHOR: gnome@FreeBSD.org
 
-  GNOME has been updated to 2.16 and all GNOME components have been
-  moved from X11BASE to LOCALBASE, to upgrade your GNOME desktop and
-  applications you will need either sysutils/portupgrade or
-  sysutils/portmaster. To use portmaster, make sure you have least
-  1.9 version to have the upgrade success.
+  GNOME has been updated to 2.16. All GTK+2 and GNOME components have
+  been moved from X11BASE (/usr/X11R6) to LOCALBASE (/usr/local). To
+  upgrade your GNOME desktop or/and other applications you will need
+  to use either sysutils/portupgrade or sysutils/portmaster. To use
+  portmaster, make sure you have least 1.9 version to have the
+  upgrade success.
 
  Portupgrade users:
   pkgdb -Ff

GTK+2 利用の方も更新の必要があるそうだ。

前回 次回。

コメント

コメントをどうぞ

※メールアドレスとURLの入力は必須ではありません。 入力されたメールアドレスは記事に反映されず、ブログの管理者のみが参照できます。

※なお、送られたコメントはブログの管理者が確認するまで公開されません。

名前:
メールアドレス:
URL:
コメント:

トラックバック

このエントリのトラックバックURL: http://uyota.asablo.jp/blog/2006/10/20/567829/tb

※なお、送られたトラックバックはブログの管理者が確認するまで公開されません。